Bug 1652638 - Review Request: php-maxminddb - MaxMind DB Reader
Summary: Review Request: php-maxminddb - MaxMind DB Reader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:57 UTC by Remi Collet
Modified: 2018-12-13 06:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 02:49:29 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2018-11-22 13:57:14 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/php-maxminddb.git/plain/php-maxminddb.spec?id=e43d4d0000bf8672860209c94ddcafc142fb4e7d
SRPM URL: http://rpms.remirepo.net/SRPMS/php-maxminddb-1.4.0-1.fedora.src.rpm
Description: 
MaxMind DB is a binary file format that stores data indexed by
IP address subnets (IPv4 or IPv6).

Databases are available in geolite2-country and geolite2-city packages.



Fedora Account System Username: remi


NOTICE: because of https://bugzilla.redhat.com/1505030 fedora-review is unable to download the proper spec file.

Comment 1 Robert-André Mauchin 2018-11-22 17:35:51 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "*No copyright*
     Creative Commons Attribution-ShareAlike Public License (v3.0)",
     "Unknown or generated". 68 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/php-maxminddb/review-
     php-maxminddb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in php-
     maxmind-db-reader , php-maxminddb-debuginfo , php-maxminddb-
     debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.12 DB version 1.38.0 built Nov 13 2018
     10:14:04 CET static analyze results in /home/bob/packaging/review/php-
     maxminddb/review-php-maxminddb/phpci.log


Rpmlint
-------
Checking: php-maxminddb-1.4.0-1.fc30.x86_64.rpm
          php-maxmind-db-reader-1.4.0-1.fc30.noarch.rpm
          php-maxminddb-debuginfo-1.4.0-1.fc30.x86_64.rpm
          php-maxminddb-debugsource-1.4.0-1.fc30.x86_64.rpm
          php-maxminddb-1.4.0-1.fc30.src.rpm
php-maxminddb.x86_64: W: spelling-error %description -l en_US subnets -> subsets, sublets, sub nets
php-maxmind-db-reader.noarch: W: spelling-error %description -l en_US subnets -> subsets, sublets, sub nets
php-maxmind-db-reader.noarch: W: spelling-error %description -l en_US maxminddb -> mastermind
php-maxmind-db-reader.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-maxmind-db-reader.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-maxminddb.src: W: spelling-error %description -l en_US subnets -> subsets, sublets, sub nets
php-maxminddb.src: E: specfile-error warning: line 38: Possible unexpanded macro in: Requires:      php(zend-abi) = %{php_zend_api}
php-maxminddb.src: E: specfile-error warning: line 39: Possible unexpanded macro in: Requires:      php(api) = %{php_core_api}
5 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 3 Gwyn Ciesla 2018-11-26 15:13:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-maxminddb

Comment 4 Fedora Update System 2018-11-27 07:40:11 UTC
php-maxminddb-1.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-470465c8c6

Comment 5 Fedora Update System 2018-11-27 07:40:16 UTC
php-maxminddb-1.4.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c356c81861

Comment 6 Fedora Update System 2018-11-27 07:40:20 UTC
php-maxminddb-1.4.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc0f555ba3

Comment 7 Fedora Update System 2018-11-28 03:47:23 UTC
php-maxminddb-1.4.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc0f555ba3

Comment 8 Fedora Update System 2018-11-28 04:10:51 UTC
php-maxminddb-1.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-470465c8c6

Comment 9 Fedora Update System 2018-11-28 04:51:23 UTC
php-maxminddb-1.4.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c356c81861

Comment 10 Fedora Update System 2018-12-06 02:49:29 UTC
php-maxminddb-1.4.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-06 03:56:33 UTC
php-maxminddb-1.4.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-13 06:06:44 UTC
php-maxminddb-1.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.